/****************************************************************************

    DRC: Digital Room Correction
    Copyright (C) 2002 Denis Sbragion

		This file is part of DRC, Digital Room Correction

		DRC  is  distributed  with  NO WARRANTY OF ANY KIND. No author or
		distributor accepts any responsibility for  the  consequences  of
		using  it,  or  for  whether  it serves any particular purpose or
		works at all, unless he or she says so in writing.  Refer to  the
		Aladdin Free Public License (the "License") for full details.

		Every copy of DRC must include a copy of the License, normally in
		a plain ASCII text file named PUBLIC. The License grants you  the
		right  to  copy, modify and redistribute DRC, but only under cer
		tain conditions described in the License.   Among  other  things,
		the License requires that the copyright notice and this notice be
		preserved on all copies.

		You can contact the author on Internet at the following address:

				d.sbragion@infotecna.it

		This program uses the parsecfg library from Yuuki  NINOMIYA.  De
		tails  on  this  library  can be found in the parsecfg.c and par
		secfg.h files.  Many thanks to Yuuki NINOMIYA for this useful li
		brary.

****************************************************************************/
/* Funzioni di libreria base */

#ifndef BaseLib_h
	#define BaseLib_h
	
	/* Inclusioni */
	#include "dsplib.h"
	#include "boolean.h"
	#include "drc.h"
	#include <stdio.h>

	/* Output stringhe con sync output */
	int sputs(const char * s);

	/* Determina la lunghezza di un file */
	size_t FSize(FILE * F);

	/* Tipo file da leggere */
	typedef enum { PcmInt16Bit = 'I', PcmFloat32Bit = 'F' } IFileType;

	/* 
		Legge parte di un file di ingresso e lo pone nell'array indicato 
		di dimensione InitWindow. 
		Ritorna true se l'operazione ha successo.
	*/
	Boolean ReadSignal(const char * FName,DRCFloat * Dst,const int InitWindow,
		const int ImpulseCenter,const IFileType FType);

	/* Scrive il segnale indicato su disco */
	Boolean WriteSignal(const char * FName,const DRCFloat * Src,const int SSize,
		const IFileType FType);

	/* Calcola l'autocorrelazione del sgnale S */
	Boolean AutoCorrelation(DLReal * S, int N);

	/* Legge i punti di generazione filtro FIR dal file indicato */
	Boolean ReadPoints(char * CorrFile,DLReal * FilterFreqs,
		DLComplex * FilterPoints,int NPoints,int SampleRate);
	
	/* Trova il valore massimo all'interno di un file. */
	int FindMaxPcm(const char * FName,const IFileType FType);
#endif
