/****************************************************************************

    DRC: Digital Room Correction
    Copyright (C) 2002 Denis Sbragion

		This file is part of DRC, Digital Room Correction

		DRC  is  distributed  with  NO WARRANTY OF ANY KIND. No author or
		distributor accepts any responsibility for  the  consequences  of
		using  it,  or  for  whether  it serves any particular purpose or
		works at all, unless he or she says so in writing.  Refer to  the
		Aladdin Free Public License (the "License") for full details.

		Every copy of DRC must include a copy of the License, normally in
		a plain ASCII text file named PUBLIC. The License grants you  the
		right  to  copy, modify and redistribute DRC, but only under cer
		tain conditions described in the License.   Among  other  things,
		the License requires that the copyright notice and this notice be
		preserved on all copies.

		You can contact the author on Internet at the following address:

				d.sbragion@infotecna.it

		This program uses the parsecfg library from Yuuki  NINOMIYA.  De
		tails  on  this  library  can be found in the parsecfg.c and par
		secfg.h files.  Many thanks to Yuuki NINOMIYA for this useful li
		brary.

****************************************************************************/

/****************************************************************************
  Progetto    : DSP Library.
  File        : DspLib.h
  Autore      : Sbragion Denis
  Descrizione : Definizioni base
  Revisioni   :
  16/10/93    : Prima stesura.
****************************************************************************/

#ifndef DspLib_h
  #define DspLib_h

	#include <complex>	
	#include <math.h>
	#include "boolean.h"	
	#include "drc.h"	

	typedef DRCFloat DLReal;

	#ifndef M_PI
		#define M_PI ((DLReal) 3.1415926535897932384626433832795)
	#endif

	#ifndef M_2_PI
		#define M_2_PI ((DLReal) 6.28318530717958647692528676655901)
	#endif
	
	typedef std::complex<DLReal> DLComplex;
#endif

/***************************************************************************/
