/****************************************************************************

    DRC: Digital Room Correction
    Copyright (C) 2002 Denis Sbragion

		This file is part of DRC, Digital Room Correction

		DRC  is  distributed  with  NO WARRANTY OF ANY KIND. No author or
		distributor accepts any responsibility for  the  consequences  of
		using  it,  or  for  whether  it serves any particular purpose or
		works at all, unless he or she says so in writing.  Refer to  the
		Aladdin Free Public License (the "License") for full details.

		Every copy of DRC must include a copy of the License, normally in
		a plain ASCII text file named PUBLIC. The License grants you  the
		right  to  copy, modify and redistribute DRC, but only under cer
		tain conditions described in the License.   Among  other  things,
		the License requires that the copyright notice and this notice be
		preserved on all copies.

		You can contact the author on Internet at the following address:

				d.sbragion@infotecna.it

		This program uses the parsecfg library from Yuuki  NINOMIYA.  De
		tails  on  this  library  can be found in the parsecfg.c and par
		secfg.h files.  Many thanks to Yuuki NINOMIYA for this useful li
		brary.

****************************************************************************/

/****************************************************************************
  Progetto    : DSP Library.
  File        : DSPWind.h
  Autore      : Sbragion Denis
  Descrizione : Funzioni per vari tipi di finestratura.
  Revisioni   :
  16/10/93    : Prima stesura.
****************************************************************************/

#ifndef DSPWind_h
  #define DSPWind_h

	#include "dsplib.h"

  // Effettuano la finestratura dell' array A secondo la finestra
  // corrispondente al nome.
  void HammingWindow(DLReal * A,unsigned int Size);
  void HanningWindow(DLReal * A,unsigned int Size);
  void BlackmanWindow(DLReal * A,unsigned int Size);
  void BartlettWindow(DLReal * A,unsigned int Size);
	void BlackmanHarrisWindow(DLReal * A,unsigned int Size);
  void ExponentialWindow(DLReal * A,unsigned int Size,DLReal P = 2);

  // Riempie A di 1.
  void Ones(DLReal * A,unsigned int Size);

#endif

/***************************************************************************/
